# eric4.VCS.vcsCVS.CvsNewProjectOptionsDialog

Module implementing the CVS Options Dialog for a new project from the repository.

### Classes

CvsNewProjectOptionsDialog | Class implementing the Options Dialog for a new project from the repository.

### Functions

None

## CvsNewProjectOptionsDialog

Class implementing the Options Dialog for a new project from the repository.

### Derived from

QDialog, Ui_CvsNewProjectOptionsDialog

### Methods

CvsNewProjectOptionsDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.
on_projectDirButton_clicked | Private slot to display a directory selection dialog.
on_vcsDirButton_clicked | Private slot to display a directory selection dialog.

#### CvsNewProjectOptionsDialog (Constructor)

CvsNewProjectOptionsDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

#### CvsNewProjectOptionsDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a tuple of a string (project directory) and a dictionary containing the data entered.

#### CvsNewProjectOptionsDialog.on_projectDirButton_clicked

on_projectDirButton_clicked()

Private slot to display a directory selection dialog.

#### CvsNewProjectOptionsDialog.on_vcsDirButton_clicked

on_vcsDirButton_clicked()

Private slot to display a directory selection dialog.

Up